/* BROWSER HARMONISATION */
*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -o-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

::-webkit-scrollbar {
    height: 10px;
    width: 10px;
    background: #F1F1F1;
}

::-webkit-scrollbar-thumb {
    background: #A8A8A8;
    -webkit-border-radius: 1ex;
    -webkit-box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.75);
}

::-webkit-scrollbar-corner {
    background: #000;
}

html {
    font-size: 62.5%;
}

@font-face {
    font-family: 'Barlow';
    font-weight: 400;
    font-style: normal;
    src: url("Barlow-Regular.woff2") format('woff2');
}

@font-face {
    font-family: 'Barlow-Bold';
    font-weight: 400;
    font-style: normal;
    src: url("Barlow-Bold.woff2") format('woff2');
}

@font-face {
    font-family: 'Roboto';
    font-weight: 400;
    font-style: normal;
    src: url("Roboto-Regular.woff2") format('woff2');
}

/* ################### */
/* Global */
/* ################### */
:root {
    --black: rgb(0, 0, 0);
    --grey: rgb(247, 247, 247);
    --dark: rgb(128, 128, 128);
    --red: rgb(255, 15, 38);
    --white: rgb(255, 255, 255);
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    outline: none;
    border: none;
    scroll-behavior: smooth;
    line-height: 150%;
}

body {
    color: var(--white) !important;
    background-color: var(--black) !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    background-attachment: fixed !important;
    background-position: center !important;
}

a,
b,
code,
dd,
div,
dt,
i,
input,
li,
q,
p,
pre,
select,
small,
span,
textarea,
td,
th {
    font: normal 1.8rem 'Roboto';
}

H1,
H1 span {
    font: 400 5.4rem 'Barlow-Bold';
    text-transform: uppercase;
}

H2,
H2 span {
    font: 400 3.2rem 'Barlow-Bold';
    text-transform: uppercase;
}

H3,
H3 span {
    font: 600 2rem 'Barlow';
    text-transform: uppercase;
}

a,
a span {
    color: var(--white);
    text-decoration: none;
}

a:hover,
a span:hover {
    color: var(--red);
}

label {
    font: 400 1.6rem 'Roboto';
    display: block;
    margin-bottom: 5px;
}

label:after {
    content: ' :';
}

input,
textarea,
button,
select {
    display: block;
    border: 1px inset var(--white);
    padding: 12px 13px;
    border-radius: 3px;
    cursor: pointer;
}

input[type="text"],
input[type="phone"],
input[type="email"],
input[type="password"],
textarea {
    width: 100%;
}

input[type="checkbox"] {
    display: inline-block;
    margin-left: 10px;
    transform: scale(1.5);
}

button {
    background-color: var(--red);
    border: 2px outset var(--white);
    color: var(--white);
    margin-top: 10px;
}

input:invalid,
textarea:invalid {
    box-shadow: 0 0 5px 1px red;
}

input:focus:invalid,
textarea:focus:invalid {
    box-shadow: none;
}

b, strong {
    font-weight: 700;
}

p {
    margin-bottom: 20px;
    line-height: 150% !important;
}

table {
    border-collapse: collapse;
}

th {
    color: var(--red);
    font: 700 1.8rem 'Roboto';
    padding: 5px 10px;
    text-align: left;
    vertical-align: top;
    white-space: nowrap;
    width: 33%;
}

td {
    color: rgb(45, 45, 45);
    font: normal 1.8rem 'Roboto';
    padding: 5px 10px;
    vertical-align: top;
    width: 67%;
}

ul,
ol {
    margin: 16px 0;
    padding-left: 40px;
}

.overlay {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 100%;
    background-color: var(--black);
    z-index: 1001;
    -moz-opacity: 0.50;
    opacity: .50;
    filter: alpha(opacity=50);
}

input[type="submit"],
.btn {
    border-radius: 0px !important;
    border: 2px solid var(--red);
    background: var(--red);
    color: var(--white);
    cursor: pointer;
    display: inline-block;
    font: 700 1.8rem 'Roboto';
    height: fit-content;
    padding: 10px;
    pointer-events: auto;
    white-space: nowrap;
    width: fit-content;
}

input[type="submit"]:hover,
.btn:hover {
    background: var(--white);
    color: var(--red);
}

input[type="submit"]:disabled,
.btn:disabled {
    background: var(--dark);
    border: 2px solid transparent;
    pointer-events: none;
}

.promo {
    background: var(--red);
    border-radius: 30px;
    display: block;
    font-size: 2.4rem;
    font-weight: bold;
    color: var(--white);
    padding: 10px 15px;
    height: fit-content;
    width: fit-content;
    margin: 20px auto 0 auto;
    box-shadow: 2px 6px 25px rgba(0, 0, 0, 10%);
}

.bx {
    display: inline-block;
    font-size: 2.4rem;
    font-weight: 500;
    margin-right: 10px;
    vertical-align: middle;
}

.shadow,
.shadow:hover {
    box-shadow: 2px 6px 25px rgba(0, 0, 0, 10%);
}

.text-shadow {
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 100%);
}

.zoom {
    transition: transform .2s;
    /* Animation */
}

.zoom:hover {
    transform: scale(1.05);
    /* (120% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

.collage {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    grid-gap: 10px;
    grid-auto-rows: min-max(80px, auto);
    grid-auto-flow: dense;
    padding: 10px;
}

.card {
    cursor: pointer;
    min-height: 100px;
    background-size: cover;
    background-position: 50% 50%;
}

.span-2 {
    grid-column-end: span 2;
    grid-row-end: span 2;
    min-height: 200px;
}

.span-3 {
    grid-column-end: span 3;
    grid-row-end: span 3;
    min-height: 400px;
}

/* ################### */
/* Header */
/* ################### */
header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background: rgba(0, 0, 0, 0.7);
}

header.active {
    box-shadow: 0 5px 5px 0 rgba(0, 0, 0, .2);
    /*border-bottom: 1px solid var(--white);*/
    background: black;
    /*var(--black);*/
}

header .navigation {
    list-style: none !important;
    outline: none !important;
    border: none !important;
    display: flex;
}

header .navigation a {
    text-decoration: none !important;
    color: var(--white);
    padding: 10px;
    font-weight: 600;
    white-space: nowrap;
}

header .navigation a:hover,
.navigation a.active {
    color: var(--red);
}

header .navigation .sub-menu {
    list-style: none;
}

header .navigation .sub-menu li {
    padding: 10px 0 0 0;
}

header .navigation .sub-menu .bx-chevron-down {
    font-size: 3rem;
    line-height: 0;
    margin-left: -5px;
    vertical-align: middle;
    width: 20px;
}

header .navigation .sub-menu-content {
    display: none;
    position: absolute;
    list-style: none;
    margin-top: 0;
    margin-left: -5px;
    padding: 0 5px 10px 5px;
    background: rgba(0, 0, 0, 1);
    max-height: calc(100dvh - 50px);
    overflow-y: auto;
}

header .navigation .sub-menu:hover .sub-menu-content {
    display: block;
}

header .navigation .sub-menu-content.active {
    background: white;
    box-shadow: 0 5px 5px 0 rgba(0, 0, 0, .2);
    /*border-bottom: 1px solid var(--white);*/
    background: black;
    /*var(--black);*/
}

header #burger-menu {
    font-size: 4rem;
    color: var(--white);
    cursor: pointer;
    display: none;
}

header #burger-menu:hover {
    color: var(--red);
}

header .logo {
    cursor: pointer;
    height: 50px;
    width: auto;
}

header .languages {
    list-style: none;
}

header .languages a {
    color: var(--white);
    font-weight: 600;
    text-decoration: none;
    white-space: nowrap;
}

header .languages a:hover {
    color: var(--red);
}

header .languages li {
    padding: 0 10px 0px 10px;
}

header .languages img {
    height: 20px;
    width: auto;
    margin-right: 10px;
    vertical-align: middle;
}

header .languages-content {
    display: none;
    position: absolute;
    width: fit-content;
    list-style: none;
    margin: 0;
    padding: 0 0 10px 0;
    background: rgba(0, 0, 0, 1);
}

header .languages-content a li {
    padding: 10px 10px 0 10px;
}

header .languages:hover .languages-content {
    display: block;
}

header .languages-content.active {
    background: var(--black);
}

header .cart .bx.bx-cart {
    margin-right: 0;
    font-size: 30px;
    margin-top: -5px;
}

header .cart {
    cursor: pointer;
}

header .cart #incart {
    display: inline-block;
    background-color: var(--white);
    border-radius: 50%;
    color: var(--black);
    padding: 0 5px
}

header .cart .cart-content {
    background: var(--white);
    border-radius: 0;
    color: var(--black);
    display: block;
    margin: 0;
    padding: 10px;
    position: absolute;
    right: 20px;
    top: 60px;
    width: 300px;
    z-index: 10000;
}

header .cart:hover .cart-content {
    display: block;
}

header .cart .cart-content tr {
    border-bottom: 1px solid #eee;
}

header .cart .cart-content td img {
    height: auto;
    width: 50px;
}

header .cart .cart-content td {
    padding: 10px 0;
    width: auto !important;
}

header .cart .cart-content button {
    display: inline-block;
    font-size: 18px;    
    padding: 5px 10px;
    margin: 0 20px;
}

header .cart .cart-content th {
    color: black;
    font-size: 16px;    
    line-height: 150%;
    padding: 10px 0 10px 10px;
    white-space: normal;
    width: 100% !important;
}

/* ################### */
/* Social media icons Bar */
/* ################### */

/* Fixed/sticky icon bar (vertically aligned 50% from the top of the screen) */
.icon-bar {
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
}

/* Style the icon bar links */
.icon-bar a {
    display: block;
    text-align: center;
    padding: 16px;
    transition: all 0.3s ease;
    color: white;
    font-size: 20px;
}

/* Style the social media icons with color, if you want */
.icon-bar a:hover {
    background-color: #000;
}

.facebook {
    background: #3B5998;
    color: white;
}

.instagram {
    background: #125688;
    color: white;
}

.youtube {
    background: #bb0000;
    color: white;
}

/* ################### */
/* Footer */
/* ################### */
footer select {
    display: inline-block;
}

footer select:required:invalid {
    color: gray;
}

footer option[value=""][disabled] {
    display: none;
}

footer option {
    color: black;
}

footer input[type="submit"] {
    float: right;
}

footer {
    display: grid;
    grid-auto-rows: auto;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 0;
    background: url("images/footer.png") no-repeat center;
    background-size: cover;
}

footer .slogan {
    grid-column: 1 / 4;
    font: 600 2rem Barlow;
    padding: 20px 20px 0 10px;
    text-align: justify;
}

footer .slogan img {
    display: inline-block;
    float: left;
    height: auto;
    margin-top: 5px;
    margin-right: 10px;
    width: 20%;
}

footer .left {
    grid-column: 1 / 2;
}

footer .center {
    grid-column: 2 / 3;
}

footer .right {
    grid-column: 3 / 4;
}

footer p {
    margin-top: 10px;
    margin-bottom: 10px;
}

footer .left,
footer .center,
footer .right {
    padding: 20px;
}

footer .left h3,
footer .center h3,
footer .right h3 {
    font-style: italic;
}

footer .center p {
    margin-bottom: 2px;
}

footer div.email span {
    display: none;
}

footer .policies {
    grid-column: 1 / 4;
    background-color: var(--black);
}

footer .policies a {
    display: inline-block;
    font-size: 1.4rem;
    line-height: 30px;
    text-align: center;
    width: 33%;
}

footer .policies a img {
    height:20px;
    vertical-align:baseline;
}
/* LOGIN  */
.login {
    background-color: var(--white);
    border-radius: 5px;
    border: 1px solid var(--grey);
    box-shadow: 2px 6px 30px rgba(0, 0, 0, 0.5);
    color: var(--black);
    height: 350px;
    left: calc(50% - 150px);
    padding: 10px;
    position: fixed;
    text-align: center;
    top: 130px;
    width: 320px;
    z-index: 10001;
}

/* ################### */
/* BREAKPOINTS         */
/* ################### */

@media only screen and (max-width: 1024px) {
    /* Notebook */

    a,
    b,
    code,
    dd,
    div,
    dt,
    i,
    input,
    li,
    q,
    p,
    pre,
    select,
    small,
    span,
    textarea,
    td,
    th {
        font: normal 1.8rem 'Roboto';
    }

    H1,
    H1 span {
        font: 400 3.6rem 'Barlow-Bold';
    }

    H2,
    H2 span {
        font: 400 3.0rem 'Barlow-Bold';
    }

    H3,
    H3 span {
        font: 400 2.4rem 'Barlow';
    }

}

@media only screen and (max-width: 768px) {
    /* Tablet */

    a,
    b,
    code,
    dd,
    div,
    dt,
    i,
    input,
    li,
    q,
    p,
    pre,
    select,
    small,
    span,
    textarea,
    td,
    th {
        font: normal 1.8rem 'Roboto';
    }

    H1,
    H1 span {
        font: 400 3.0rem 'Barlow-Bold';
    }

    H2,
    H2 span {
        font: 400 2.6rem 'Barlow-Bold';
    }

    H3,
    H3 span {
        font: 400 2.2rem 'Barlow';
    }

    header #burger-menu {
        display: block;
    }

    header .navigation {
        position: absolute;
        top: 45px;
        right: -100%;
        flex-direction: column;
        width: 280px;
        height: 85vh;
        overflow-y: auto;
        box-shadow: -2px 0 5px rgba(0, 0, 0, .2);
        padding: 0 10px 20px 10px;
        transition: .2s ease-in-out;
        border-left: 1px solid var(--white);
        background: var(--black);
    }

    header .navigation a {
        display: block;
    }

    header .navigation.active {
        background-color: black;
        right: 0;
    }

    header .navigation .sub-menu-content {
        display: block;
        position: relative;
        padding: 0 0 10px 0;
        margin: 0;
    }

    header .navigation .sub-menu-content li {
        margin-left: 30px;
    }

    header .navigation .sub-menu-content a {
        padding: 0 5px;
    }

    footer .slogan {
        font: 600 1.8rem Barlow;
        padding-bottom: 10px;
    }

    footer .left {
        padding: 10px 0 10px 10px;
    }

    footer .center {
        padding: 10px 0;
    }

    footer .right {
        padding: 10px 10px 10px 0;
    }

    footer input,
    footer select,
    footer input:disabled {
        padding: 4px 6px;
    }

    footer .policies {
        padding: 10px 0;
    }

    footer .policies a {
        display: block;
        width: 100%;
    }

}

@media only screen and (max-width: 425px) {
    /* Smartphone */

    a,
    b,
    code,
    dd,
    div,
    dt,
    i,
    input,
    li,
    q,
    p,
    pre,
    select,
    small,
    span,
    textarea,
    td,
    th {
        font: normal 1.5rem 'Roboto';
    }

    H1,
    H1 span {
        font: 400 2.4rem 'Barlow-Bold';
    }

    H2,
    H2 span {
        font: 400 2.1rem 'Barlow-Bold';
    }

    H3,
    H3 span {
        font: 400 1.8rem 'Barlow';
    }

    header .logo {
        height: 30px;
    }

    #burger-menu {
        margin-right: 0;
    }

    footer {
        grid-template-rows: auto;
        grid-template-columns: 1fr;
        margin: 15px 0;
    }

    footer .slogan {
        font: 600 1.6rem Barlow;
    }

    footer .left {
        grid-column: 1;
    }

    footer .center {
        grid-column: 1;
    }

    footer .right {
        grid-column: 1;
    }

    footer .left,
    footer .center,
    footer .right {
        padding: 0 20px;
    }

    footer .left {
        padding-top: 20px;
    }

    footer input,
    footer select,
    footer input:disabled {
        padding: 12px 13px;
    }
}

@media only screen and (max-width: 320px) {

    /* Tinyphone */

    footer .left,
    footer .center,
    footer .right {
        padding: 0;
    }

    footer .left {
        padding-top: 20px;
    }

}